<?php

namespace App\Mail\Subscription;

use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;

class SubscriptionExpired extends BaseSubscriptionMail
{
    public function envelope(): Envelope
    {
        return new Envelope(
            subject: 'Your subscription has ended',
        );
    }

    public function content(): Content
    {
        return new Content(
            markdown: 'mail.subscription.expired',
            with: $this->commonData(),
        );
    }
}
